Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88393 - cupsd generates a new socket and log entry every 5 seconds
Summary: cupsd generates a new socket and log entry every 5 seconds
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 18:08 UTC by Mike Vanecek
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-10 19:47:38 UTC


Attachments (Terms of Use)

Description Mike Vanecek 2003-04-09 18:08:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030408

Description of problem:
I have a Epson C80 with an epsonnet print server on an intranet connection. I
add a connection to this printer using the redhat-printer-config which starts
cupsd. I have tried configuration settings as LPD and jet direct. The connection
works and I can print. However, the cupsd daemon is causing a new socket to be
opened and a line to be entered in /var/log/cups/access_log every 5 seconds.

I have not been able to find any configuration parameter to stop or control this
action. I have stopped cupsd.

The generation of a new socket and log entry every 5 seconds should be
controllable. 

I had the same setup with RH 8 and did not see the same activity (of course, it
was not using cups).

 

Version-Release number of selected component (if applicable):
cups-1.1.17-13

How reproducible:
Always

Steps to Reproduce:
1.start cupsd
2.
3.
    

Actual Results:  It generates a new socket and log entry every 5 seconds.

Expected Results:  A single socket to monitor the port should have been
generated. A single log entry indicating the start of the daemon should have
been generated.


Additional info:

[root@www cups]# netstat -natp
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State      
PID/Program name
[snip]
tcp        0      0 127.0.0.1:631           0.0.0.0:*               LISTEN     
30463/cupsd

tcp        0      0 127.0.0.1:51647         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51676         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51677         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51673         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51674         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51675         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51662         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51652         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51653         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51648         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51649         127.0.0.1:631           TIME_WAIT   -
tcp        0      0 127.0.0.1:51650         127.0.0.1:631           TIME_WAIT   -


[root@www cups]# tail -20 /var/log/cups/access_log
localhost - - [09/Apr/2003:12:24:29 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:34 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:39 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:44 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:49 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:54 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:24:59 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:04 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:09 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:14 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:19 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:24 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:29 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:34 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:39 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:44 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:49 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:54 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:25:59 -0500] "POST / HTTP/1.1" 200 221
localhost - - [09/Apr/2003:12:26:04 -0500] "POST / HTTP/1.1" 200 221

Comment 1 Tim Waugh 2003-04-09 18:26:26 UTC
It is not _caused_ by cupsd, although it clearly takes part.  The action is
initiated by 'eggcups', the printer panel icon.  The rawhide
desktop-printing-0.1.10-7 package fixes the 'new socket every 5s' issue.

However, the 'log message every 5s' issue remains even in spite of that.  Not
sure what the right fix is.

Longer term, the D-BUS infrastructure will enable us to avoid time-based polling
entirely.

Comment 2 Mike Vanecek 2003-04-09 19:48:57 UTC
Do you have any idea when "The rawhide desktop-printing-0.1.10-7 package fixes
the 'new socket every 5s' issue" will be available on rawhide. I just looked and
it is still at 0.1.10-6.

Is there anyway to prevent eggcups from being started. I can kill it via kill -9?




Comment 3 Tim Waugh 2003-04-10 19:47:38 UTC
It takes about a day to propagate.

D-BUS support added:
  desktop-printing-0.1.10-8
  cups-1.1.18-3

(they'll show in some time in the next day or so)

Comment 4 Damian Menscher 2003-08-08 22:08:14 UTC
Any chance of getting a fix backported to the RH9 stable branch (for up2date to
pick up)?

Comment 5 Tim Waugh 2003-08-08 22:42:10 UTC
Not any time soon -- it would mean shipping dbus, and that hasn't yet survived a
full beta cycle.

Comment 6 Pawel Salek 2004-01-19 16:38:43 UTC
Will the dbus solution work also for a setup with a print server
collecting print jobs from entire network and sending them to a
network printer? The above description seems to apply to a setup with
computers sending printjobs directly to a network printer.

Comment 7 Tim Waugh 2004-01-19 16:56:34 UTC
It makes no difference how cups is set up -- this is an eggcups thing
(in the desktop-printing package).


Note You need to log in before you can comment on or make changes to this bug.